Buzztrax Bt-Core Reference Manual: Buzztrax Bt-Core Reference Manual

Buzztrax Bt-Core Reference Manual

for Buzztrax 0.10.2. The latest version of this documentation can be found on-line at http://www.buzztrax.org/files/apidocs/bt-core/.

Introduction
I. Overview
  Conventions
II. API Reference
  Core Class Reference
    libbtcore — core library of the buzztrax application framework
    BtApplication — base class for a buzztrax based application
    BtAudioSession — bin to be used by BtSinkMachine
    BtSettings — class for buzztrax settings handling
    BtChildProxy — Interface for multi child elements.
    BtPersistence — object persistence interface
  Song Class Reference
    BtCmdPattern — class for an command pattern of a BtMachine instance
    BtMachine — base class for signal processing machines
    BtParameterGroup — a group of parameter
    BtPattern — class for an event pattern of a BtMachine instance
    BtPatternControlSource — Custom controlsource based on repeated event blocks (BtPatterns).
    BtProcessorMachine — class for signal processing machines with inputs and outputs
    BtSequence — class for the event timeline of a BtSong instance
    BtSetup — class with all machines and wires (BtMachine and BtWire) for a BtSong instance
    BtSinkBin — bin to be used by BtSinkMachine
    BtSinkMachine — class for signal processing machines with inputs only
    BtSong — class of a song project object (contains BtSongInfo, BtSetup, BtSequence and BtWavetable)
    BtSongInfo — class that keeps the meta-data for a BtSong instance
    BtSourceMachine — class for signal processing machines with outputs only
    BtValueGroup — a GValue array of parameter values
    BtWave — one BtWavetable entry that keeps a list of BtWavelevels
    BtWavelevel — a single part of a BtWave item
    BtWavetable — the list of BtWave items in a BtSong
    BtWire — class for a connection of two BtMachines
  Song IO Reference
    BtSongIO — base class for song input and output
    BtSongIONative — class for song input and output in builtin native format
    BtSongIONativeBZT — class for song input and output in builtin native format
    BtSongIONativeXML — class for song input and output in builtin native format
    BtSongIOBuzz — class for song input in buzz bmx and bmw format
III. Appendix
  Object Hierarchy
  API Index
  Index of deprecated API
  Index of new API in 0.3
  Index of new API in 0.5
  Index of new API in 0.6
  Index of new API in 0.7
  Annotation Glossary

Generated by GTK-Doc V1.24.1